import { RequestInit } from 'node-fetch';
import { HttpsProxyAgent } from 'https-proxy-agent';
export interface BaseConfig {
    proxy?: string;
}
export interface INotifyResult {
    success: boolean;
    data: any;
}
export interface INotifyBase {
    send(msg?: any, options?: any): Promise<INotifyResult>;
}
export declare class NotifyBase {
    proxyAgent?: HttpsProxyAgent;
    constructor(config: BaseConfig);
    /**
     * @param  {string} url
     * @param  {RequestInit} options
     * @returns Promise
     */
    request(url: string, options: RequestInit): Promise<any>;
    /**
     * @param  {string} url
     * @param  {any} data
     * @returns Promise
     */
    requestPost(url: string, data: any): Promise<any>;
    /**
     * @param  {string} url
     * @returns Promise
     */
    requestGet(url: string): Promise<any>;
}
