import { BaseConfig, NotifyBase, INotifyBase, INotifyResult } from './base';
export interface DiscordConfig extends BaseConfig {
    id: string;
    token: string;
}
export interface DiscordMessage {
    content?: string;
    username?: string;
    avatar_url?: string;
    tts?: boolean;
    [k: string]: unknown;
}
export declare class DiscordNotify extends NotifyBase implements INotifyBase {
    private apiUrl;
    constructor(config: DiscordConfig);
    send(message: DiscordMessage): Promise<INotifyResult>;
    sendText(text: string | DiscordMessage): Promise<INotifyResult>;
}
