"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DiscordNotify = void 0;
const base_1 = require("./base");
class DiscordNotify extends base_1.NotifyBase {
    constructor(config) {
        super(config);
        this.apiUrl = `https://discord.com/api/webhooks/${config.id}/${config.token}`;
    }
    async send(message) {
        return await this.requestPost(this.apiUrl, message);
    }
    async sendText(text) {
        let msg = { content: '' };
        if (typeof text === 'string') {
            msg.content = text;
        }
        else {
            msg = text;
        }
        return await this.send(msg);
    }
}
exports.DiscordNotify = DiscordNotify;
