import { BaseConfig, NotifyBase, INotifyBase, INotifyResult } from './base';
export interface TelegramConfig extends BaseConfig {
    token: string;
    chat_id?: string;
}
export interface TelegramTextMessage {
    chat_id?: number | string;
    parse_mode?: 'HTML' | 'Markdown' | 'MarkdownV2';
    text: string;
    [k: string]: unknown;
}
export declare class TelegramNotify extends NotifyBase implements INotifyBase {
    private apiUrl;
    private chat_id;
    constructor(config: TelegramConfig);
    send(message: TelegramTextMessage): Promise<INotifyResult>;
    sendText(text: string | TelegramTextMessage): Promise<INotifyResult>;
}
