"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TelegramNotify = void 0;
const base_1 = require("./base");
class TelegramNotify extends base_1.NotifyBase {
    constructor(config) {
        super(config);
        this.apiUrl = '';
        this.chat_id = '';
        this.apiUrl = `https://api.telegram.org/bot${config.token}/sendMessage`;
        if (config.chat_id) {
            this.chat_id = config.chat_id;
        }
    }
    async send(message) {
        if (!message.chat_id && this.chat_id) {
            message.chat_id = this.chat_id;
        }
        return await this.requestPost(this.apiUrl, message);
    }
    async sendText(text) {
        let msg = { text: '' };
        if (typeof text === 'string') {
            msg.text = text;
        }
        else {
            msg = text;
        }
        return await this.send(msg);
    }
}
exports.TelegramNotify = TelegramNotify;
